## libupnp 1.2.1

=== upnp/sample/tvctrlpt/linux/Makefile ===
###########################################################################
##
## Copyright (c) 2000-2003 Intel Corporation 
## All rights reserved. 
##
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met: 
##
## * Redistributions of source code must retain the above copyright notice, 
## this list of conditions and the following disclaimer. 
## * Redistributions in binary form must reproduce the above copyright notice, 
## this list of conditions and the following disclaimer in the documentation 
## and/or other materials provided with the distribution. 
## * Neither name of Intel Corporation nor the names of its contributors 
## may be used to endorse or promote products derived from this software 
## without specific prior written permission.
## 
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
## ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL INTEL OR 
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
## EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
## PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
## PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
## OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
## NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
## SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
###########################################################################

INCLUDES= -I../../../inc  -I../../common -I ../

ifdef TARGET
DIR_PATH=$(TARGET)/
CROSS=$(TARGET)-

CC=$(CROSS)gcc
AR=$(CROSS)ar
LD=$(CROSS)ld
STRIP=$(CROSS)strip
else
CC = gcc
AR = ar
LD = ld
STRIP = strip
endif


ifeq ($(DEBUG),1)
OPT = -g -O2
DEBUG_OPTION = DEBUG=1
LIBS= ../../../bin/debug/$(DIR_PATH)libupnp.so ../../../bin/debug/$(DIR_PATH)libthreadutil_dbg.so \
      ../../../bin/$(DIR_PATH)libixml.so
else
DEBUG_OPTION =
OPT = -O2
LIBS= ../../../bin/$(DIR_PATH)libupnp.so ../../../bin/$(DIR_PATH)libthreadutil.so \
      ../../../bin/$(DIR_PATH)libixml.so
endif

CFLAGS += -Wall $(OPT)

APPS = upnp_tv_ctrlpt

all: $(APPS)


upnp_tv_ctrlpt: ../upnp_tv_ctrlpt.o ../../common/sample_util.o upnp_tv_ctrlpt_main.o $(LIBS)
	$(CC)  $(CFLAGS) upnp_tv_ctrlpt.o sample_util.o  upnp_tv_ctrlpt_main.o $(LIBS) -o  $@ 
	@echo "make $@ finished on `date`"

../../../bin/libupnp.so:
	cd ../../../; make 

../../../bin/debug/libupnp.so:
	cd ../../../; make DEBUG=1

%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.o $(APPS)

=== upnp/sample/tvdevice/linux/Makefile ===
###########################################################################
##
## Copyright (c) 2000-2003 Intel Corporation 
## All rights reserved. 
##
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met: 
##
## * Redistributions of source code must retain the above copyright notice, 
## this list of conditions and the following disclaimer. 
## * Redistributions in binary form must reproduce the above copyright notice, 
## this list of conditions and the following disclaimer in the documentation 
## and/or other materials provided with the distribution. 
## * Neither name of Intel Corporation nor the names of its contributors 
## may be used to endorse or promote products derived from this software 
## without specific prior written permission.
## 
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
## ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL INTEL OR 
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
## EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
## PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
## PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
## OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
## NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
## SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
###########################################################################

INCLUDES= -I../../../inc  -I../../common -I ../
ifdef TARGET
DIR_PATH=$(TARGET)/
CROSS=$(TARGET)-

CC=$(CROSS)gcc
AR=$(CROSS)ar
LD=$(CROSS)ld
STRIP=$(CROSS)strip
else
CC = gcc
AR = ar
LD = ld
STRIP = strip
endif

ifeq ($(DEBUG),1)
OPT = -g -O2
DEBUG_OPTION = DEBUG=1
LIBS= ../../../bin/debug/$(DIR_PATH)libupnp.so ../../../bin/debug/$(DIR_PATH)libixml.so \
      ../../../bin/debug/$(DIR_PATH)libthreadutil_dbg.so
else
DEBUG_OPTION =
OPT = -O2
LIBS= ../../../bin/$(DIR_PATH)libupnp.so ../../../bin/$(DIR_PATH)libixml.so \
      ../../../bin/$(DIR_PATH)libthreadutil.so
endif

CFLAGS += -Wall $(OPT)

APPS = upnp_tv_device 

all: $(APPS)
WEB_DIR = ../web

upnp_tv_device: ../upnp_tv_device.o ../../common/sample_util.o $(LIBS) upnp_tv_device_main.o
	$(CC)  $(CFLAGS) upnp_tv_device.o  sample_util.o upnp_tv_device_main.o $(LIBS) -o  $@ 
	cp -rf ../web .
	@echo "make $@ finished on `date`"


../../../bin/libupnp.so:
	cd ../../../;make 
../../../bin/debug/libupnp.so:
	cd ../../../;make DEBUG=1


%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.o $(APPS)



INCLUDES= -I../../../inc  -I../../common -I ../
ifdef TARGET
DIR_PATH=$(TARGET)/
CROSS=$(TARGET)-

CC=$(CROSS)gcc
AR=$(CROSS)ar
LD=$(CROSS)ld
STRIP=$(CROSS)strip
else
CC = gcc
AR = ar
LD = ld
STRIP = strip
endif

ifeq ($(DEBUG),1)
OPT = -g -O2
DEBUG_OPTION = DEBUG=1
LIBS= ../../../bin/debug/$(DIR_PATH)libupnp.so ../../../bin/debug/$(DIR_PATH)libixml.so \
      ../../../bin/debug/$(DIR_PATH)libthreadutil_dbg.so
else
DEBUG_OPTION =
OPT = -O2
LIBS= ../../../bin/$(DIR_PATH)libupnp.so ../../../bin/$(DIR_PATH)libixml.so \
      ../../../bin/$(DIR_PATH)libthreadutil.so
endif

CFLAGS += -Wall $(OPT)

APPS = upnp_tv_device 

all: $(APPS)
WEB_DIR = ../web

upnp_tv_device: ../upnp_tv_device.o ../../common/sample_util.o $(LIBS) upnp_tv_device_main.o
	$(CC)  $(CFLAGS) upnp_tv_device.o  sample_util.o upnp_tv_device_main.o $(LIBS) -o  $@ 
	cp -rf ../web .
	@echo "make $@ finished on `date`"


../../../bin/libupnp.so:
	cd ../../../;make 
../../../bin/debug/libupnp.so:
	cd ../../../;make DEBUG=1


%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.o $(APPS)

=== upnp/src/genlib/net/Makefile ===
###########################################################################
##
## Copyright (c) 2000-2003 Intel Corporation 
## All rights reserved. 
##
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met: 
##
## * Redistributions of source code must retain the above copyright notice, 
## this list of conditions and the following disclaimer. 
## * Redistributions in binary form must reproduce the above copyright notice, 
## this list of conditions and the following disclaimer in the documentation 
## and/or other materials provided with the distribution. 
## * Neither name of Intel Corporation nor the names of its contributors 
## may be used to endorse or promote products derived from this software 
## without specific prior written permission.
## 
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
## ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL INTEL OR 
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
## EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
## PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
## PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
## OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
## NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
## SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
###########################################################################

ifdef TARGET
DIR_PATH=$(TARGET)/
CROSS=$(TARGET)-

CC=$(CROSS)gcc
AR=$(CROSS)ar
LD=$(CROSS)ld
STRIP=$(CROSS)strip
else
CC = gcc
AR = ar
LD = ld
STRIP = strip
endif

LIBS=../../lib
UPNP_INC_DIR = -I../../inc -I../../../inc -I ../../../../threadutil/src/win32 \
	-I ../../../../threadutil/src -I ../../../../ixml/inc

ifeq ($(INSURE),1)
CC=insure
endif

CFLAGS += -fPIC -Wall -c -D_REENTRANT $(UPNP_INC_DIR) 

ifeq ($(DEBUG),1)
CFLAGS += -g -O -DDEBUG
OBJ_DIR = obj/debug/$(DIR_PATH)
UPNP_LIB_DIR = $(LIBS)/debug/$(DIR_PATH)
else
CFLAGS += -Os  -DNO_DEBUG -DNDEBUG
OBJ_DIR = obj/$(DIR_PATH)
UPNP_LIB_DIR = $(LIBS)/$(DIR_PATH)
endif

ifeq ($(WEB),1)
CFLAGS += -DINTERNAL_WEB_SERVER
endif

ifeq ($(CLIENT),1)
CFLAGS += -DINCLUDE_CLIENT_APIS
endif

ifeq ($(DEVICE),1)
CFLAGS += -DINCLUDE_DEVICE_APIS
endif

TARGET_OUTPUT=$(UPNP_LIB_DIR)netall.o 

OBJECTS = $(OBJ_DIR)sock.o 

all: $(TARGET_OUTPUT) $(OBJECTS)

$(TARGET_OUTPUT): $(OBJECTS) 
	$(LD) -r  $(OBJECTS) -o $(TARGET_OUTPUT)

$(OBJ_DIR)%.o: %.c
	@-mkdir -p $(OBJ_DIR)
	@-mkdir -p $(UPNP_LIB_DIR)
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	@if [ -d "$(LIBS)" ]; then rm -rf $(LIBS); fi    
	@rm -f $(UPNP_LIB_DIR)/*.o
	@rm -rf $(OBJ_DIR)
	@rm -f *.o

=== upnp/src/genlib/util/Makefile ===
###########################################################################
##
## Copyright (c) 2000-2003 Intel Corporation 
## All rights reserved. 
##
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met: 
##
## * Redistributions of source code must retain the above copyright notice, 
## this list of conditions and the following disclaimer. 
## * Redistributions in binary form must reproduce the above copyright notice, 
## this list of conditions and the following disclaimer in the documentation 
## and/or other materials provided with the distribution. 
## * Neither name of Intel Corporation nor the names of its contributors 
## may be used to endorse or promote products derived from this software 
## without specific prior written permission.
## 
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
## ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL INTEL OR 
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
## EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
## PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
## PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
## OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
## NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
## SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
###########################################################################

ifdef TARGET
DIR_PATH=$(TARGET)/
CROSS=$(TARGET)-

CC=$(CROSS)gcc
AR=$(CROSS)ar
LD=$(CROSS)ld
STRIP=$(CROSS)strip
else
CC = gcc
AR = ar
LD = ld
STRIP = strip
endif

ifeq ($(INSURE),1)
CC=insure
endif


LIBS = ../../lib

UPNP_INC_DIR = -I../../inc -I../../../inc -I ../../../../threadutil/src/win32 \
	-I ../../../../threadutil/src -I ../../../../ixml/inc


CFLAGS += -fPIC -Wall -c -D_REENTRANT $(UPNP_INC_DIR) 

ifeq ($(DEBUG),1)
CFLAGS += -g -O -DDEBUG
OBJ_DIR = obj/debug/$(DIR_PATH)
UPNP_LIB_DIR = $(LIBS)/debug/$(DIR_PATH)
else
CFLAGS += -Os  -DNO_DEBUG -DNDEBUG
OBJ_DIR = obj/$(DIR_PATH)
UPNP_LIB_DIR = $(LIBS)/$(DIR_PATH)
endif


ifeq ($(CLIENT),1)
CFLAGS += -DINCLUDE_CLIENT_APIS
endif

ifeq ($(DEVICE),1)
CFLAGS += -DINCLUDE_DEVICE_APIS
endif

TARGET_OUTPUT=$(UPNP_LIB_DIR)utilall.o 

OBJECTS = $(OBJ_DIR)membuffer.o $(OBJ_DIR)strintmap.o $(OBJ_DIR)upnp_timeout.o $(OBJ_DIR)util.o

all: $(TARGET_OUTPUT) $(OBJECTS)

$(TARGET_OUTPUT): $(OBJECTS) 
	$(LD) -r  $(OBJECTS) -o $(TARGET_OUTPUT)

$(OBJ_DIR)%.o: %.c
	@-mkdir -p $(OBJ_DIR)
	@-mkdir -p $(UPNP_LIB_DIR)
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	@if [ -d "$(LIBS)" ]; then rm -rf $(LIBS); fi    
	@rm -f $(UPNP_LIB_DIR)/*.o
	@rm -rf $(OBJ_DIR)
	@rm -f *.o

## libupnp 1.6.17

=== debian/changelog ===
libupnp (1:1.6.17-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches/0001-Security-fix-for-CERT-issue-VU-922681 added, fix
    various stack-based buffer overflows in service_unique_name() function.
    This fix CVE-2012-5958, CVE-2012-5959, CVE-2012-5960, CVE-2012-5961,
    CVE-2012-5962, CVE-2012-5963, CVE-2012-5964, CVE-2012-5965. closes: #699316

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 01 Feb 2013 21:56:12 +0100

libupnp (1:1.6.17-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * libupnp6-doc Replaces libupnp3-dev (closes: #670894)

 -- Julien Cristau <jcristau@debian.org>  Tue, 08 May 2012 16:59:14 +0200

libupnp (1:1.6.17-1) unstable; urgency=low

  * Ack NMU, thankyou for your work on this package.
  * New upstream release, rename to libupnp6 for upstream's soname bump.
    (LP: #855339, LP: #648506).  Now includes IPv6 support.
  * Update from upstream git to get reinstated UpnpSetVirtualDirCallbacks API.
  * Remove all patches that are now in upstream.
  * Update remaining patches (01,07,12) for new upstream coding standards.
  * Remove fixed-length URLs from upnpapi (patch 18, Closes: #353169).
  * Update to debhelper v9 to get multi-arch and build-hardening in dh.
  * Update to Policy 3.9.3, and note that we are "discouraged" from
    shipping three libraries in this package but live with it for now.
  * Convert to multiarch.
  * libupnp-dev metapackage is now Arch: all.
  * Override lintian about versioned Conflicts and dupe files in docs.
  * Update debian/copyright to DEP-5 v1.0.
  * Generate up-to-date docs for the current API and ship a -doc package.

 -- Nick Leverton <nick@leverton.org>  Sat, 14 Apr 2012 20:58:59 +0100

libupnp (1:1.6.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622520).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 20:01:57 +0200

libupnp (1:1.6.6-5) unstable; urgency=low

  * Fixes to BSD build issues (Closes: #573319, FTBFS on Gnu/kFreeBSD)
  * We no longer Build-Depend on dbs anyway (Closes: #576068)
  * More debug tidying (07-neaten-debug.patch):
    - send UPNP_CRITICAL msgs to the info log as well as to the error log.
    - don't print HTTP headers to stdout as they're already in logfile.
  * Always compile in logging code but don't log unless requested
    (12-debian-always-debug.patch) to help porting other apps.
  * Cherry-pick some upstream bug fixes:
    - soap_request_and_response http_request parameter error from r486
    - "reuseaddr" patch from issue 2995758 backported from r548
    - threadpool hang when busy from r515
    - memory leak in SSDP AdvertiseAndReply from issue 2392304, r518
  * Add $PTHREAD_CFLAGS to libupnp.pc as assumed by {acx,ax}_pthread.m4
    (patch 16, Closes: #555386).

 -- Nick Leverton <nick@leverton.org>  Fri, 14 May 2010 15:47:17 +0100

libupnp (1:1.6.6-4) unstable; urgency=low

  * New patch 03-fix-duplicate-entries: fix FTBFS by removing duplicates
    from file list; patch by Stefan Potyra (Closes: #572859)
  * Update Sections (Closes: #519926) and general Policy to 3.8.4
  * Use debhelper 7 dh instead of dbs
  * Generate and update symbols file
  * Allow to co-exist with latest libupnp4.
  * Patch 06-patch-statevar-query.patch adapted from upstream 1.8 branch
    to fix format of State Variable Query response.
  * Fix sending of incorrect timeout on auto renew (patch 10).

 -- Nick Leverton <nick@leverton.org>  Mon, 08 Mar 2010 18:23:14 +0000

libupnp (1:1.6.6-3) unstable; urgency=high

  [ Dmitry E. Oboukhov ]
  * Added libupnp-dev with depends to libupnp3-dev, 
  	really closes: #490339, #490533.

  [ Nick Leverton ]
  * Include GNU/kfreeBSD build patch (Closes: #491173)

 -- Nick Leverton <nick@leverton.org>  Mon, 21 Jul 2008 20:57:42 +0100

libupnp (1:1.6.6-2) unstable; urgency=low

  * Bump epoch and add Conflicts with libupnp4, to displace incorrect
    upload of libupnp4 which displaced this package.  Closes: #490339
  * Fix the erroneous bug 426833 reference in old changelog, don't just
    document that it was wrong.  Closes: #490536
  * Standards-Version bumped to 3.8.0, compat bumped to 7.

 -- Nick Leverton <nick@leverton.org>  Sun, 13 Jul 2008 10:39:17 +0100

libupnp (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Remove patch 03-upstream-upnp-rootdevice.patch, now in upstream.
  * Remove buggy patch 02-debian-fixed-length-buffer-for-urls.patch
    (Closes: #482737, reopens #353169).  libupnp4 will include upstream's
    wider changes for ridding the library of fixed-length static buffers.
  * Update watchfile again for better uscan pattern matching
  * Build -dbg symbol package anyway; allow pupnp "--enable-debug" via
    DEB_BUILD_OPTIONS="debug"
  * Update copyright file to reflect all contributors.
  * Tidy up build to use dh_install.

 -- Nick Leverton <nick@leverton.org>  Thu, 19 Jun 2008 18:27:11 +0100

libupnp (1.6.5-2) unstable; urgency=low

  * Correct New Maintainer bug number (was given as #426833, should
    be #462833) (really Closes: #462833).
  * Replace RSA Inc copyright MD5 functions by public domain
    implementation (Closes: #459516).
  * Remove Build-dep on doc++ as upstream now ships documentation in
    tarball (Closes: #307562).
  * Dynamically allocated buffer for uPnP Action urls (Closes: #353169).
  * Update Description to match current fork of upstream.
  * Fix watchfile to omit libupnp-doc tarballs.
  * No longer ignore "upnp:rootdevice" advertisement, upstream svn r326
    (03-upstream-upnp-rootdevice.patch).

 -- Nick Leverton <nick@leverton.org>  Mon, 21 Apr 2008 22:20:53 +0100

libupnp (1.6.5-1) unstable; urgency=low

  * New upstream release (Closes: #426388, #439373)
  * New maintainer (Closes: #462833)
  * Upstream soname changed, bump package to libupnp3
  * Make libupnp-dev depend on matching version of libupnp3

 -- Nick Leverton <nick@leverton.org>  Sun, 24 Feb 2008 10:29:48 +0000

libupnp (1.4.3-2) unstable; urgency=low



=== debian/control ===
Source: libupnp
Section: net
Priority: extra
Homepage: http://pupnp.sourceforge.net/
Maintainer: Nick Leverton <nick@leverton.org>
Build-Depends: debhelper (>= 8.9~),
 autotools-dev (>= 20100122.1~), autoconf, automake, libtool, doxygen, graphviz
Standards-Version: 3.9.3

Package: libupnp6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libupnp0, libupnp2, libupnp3, libupnp4 (<< 1.8.0~svn20090313)
Replaces: libupnp0, libupnp2, libupnp3
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices, version 1.6 (shared libraries)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp6 package contains the runtime libraries for uPnP.

Package: libupnp6-dev
Architecture: any
Section: libdevel
Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libupnp3-dev, libupnp4-dev
Suggests: libupnp6-doc
Description: Portable SDK for UPnP Devices, version 1.6 (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp-dev package contains the header files, documentation and
 debug versions of libraries needed for development of programs using
 uPnP.

Package: libupnp-dev
Architecture: all
Section: libdevel
Depends: libupnp6-dev (>= ${binary:Version}), ${misc:Depends}
Description: Portable SDK for UPnP Devices (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp-dev package is a metapackage which will depend on the
 current stable development package.

Package: libupnp6-dbg
Architecture: any
Section: debug
Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libupnp3-dbg, libupnp4-dbg (<< 1.8.0~svn20090313)
Replaces: libupnp3-dbg
Description: debugging symbols for libupnp6
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 This package contains the debugging symbols associated with libupnp6.
 They will automatically be used by gdb for debugging libupnp-related
 issues.
 .
 Most people will not need this package.

Package: libupnp6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: libupnp3-dev
Description: Documentation for the Portable SDK for UPnP Devices, version 1.6
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 This package contains the HTML documentation for the libupnp6 library
 in /usr/share/doc/libupnp6-doc/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

LDFLAGS_DEF += `dpkg-buildflags --get LDFLAGS` -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure -- --without-documentation --disable-samples --enable-debug LDFLAGS="$(LDFLAGS_DEF)"

override_dh_auto_build:
	dh_auto_build
	doxygen Doxyfile 2>/dev/null

override_dh_auto_clean:
	$(RM) -r docs/doxygen
	dh_auto_clean
	find -name "Makefile.in" -print0 | xargs -0r $(RM)
	$(RM) tags	# just in case
	$(RM) aclocal.m4 configure autoconfig.h.in

override_dh_install:
	dh_install -plibupnp6-doc --sourcedir=.
	dh_install --remaining-packages -X.la --list-missing

override_dh_strip:
	dh_strip --dbg-package=libupnp6-dbg

override_dh_compress:
	dh_compress -Xhtml -X.pdf

=== debian/watch ===
version=3
http://sf.net/pupnp/libupnp-(\d.*)\.(?:tar.bz2|tar.gz|tar|tgz)

## libupnp 1.6.19+git20141001

=== debian/changelog ===
libupnp (1:1.6.19+git20141001-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * backport fixes for CVE-2016-6255 and CVE-2016-8863
    (Closes: #831857, #842093)

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 13 Dec 2016 11:46:31 +0100

libupnp (1:1.6.19+git20141001-1) unstable; urgency=low

  * Ack both NMUs, thankyou for your care of this package.
  * New upstream release (Closes: #740584, #670964).  We take the git version
    as the git log suggests some worthwhile security and reliability fixes.
  * Build for IPv6 (note, UpnpInit() only enables IPv4 connections so
    most existing libupnp users need not be aware of this).
  * Change Priority to "optional" (Closes: #740582).
  * Remove patch 0001-Security-fix-for-CERT-issue-VU-922681 now in upstream.
  * Improve debian/rules hardening option usage stuff.
  * Update Standards-Version to 3.9.6 (no changes required).
  * Fix "memset(ctx, 0, sizeof(ctx));   /* In case it's sensitive */"
    in our copy of Colin Plumb's md5.c (patch 01-debian-md5-licence.patch).
  * Disable build tests since we aren't guaranteed to have network access
    in buildds (patch 19).

 -- Nick Leverton <nick@leverton.org>  Wed, 08 Oct 2014 00:09:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libupnp
 Section: net
-Priority: extra
+Priority: optional
 Homepage: http://pupnp.sourceforge.net/
 Maintainer: Nick Leverton <nick@leverton.org>
-Build-Depends: debhelper (>= 8.9~),
- autotools-dev (>= 20100122.1~), autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~),
+ dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
+Standards-Version: 3.9.6
 
 Package: libupnp6
 Architecture: any
@@ -57,6 +57,7 @@
 Package: libupnp6-dbg
 Architecture: any
 Section: debug
+Priority: extra
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libupnp3-dbg, libupnp4-dbg (<< 1.8.0~svn20090313)
 Replaces: libupnp3-dbg

## libupnp 1.6.19+git20160116

=== debian/changelog ===
libupnp (1:1.6.19+git20160116-1) unstable; urgency=medium

  * Update to latest git:
    + Don't fail if IPv6 is unavailable, we might be running on an
      IPv4-only host (Closes: #781876).
    + Don't define strndup and strnlen if autoconf says we already have them
      (Closes: #807393).
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.
    [Jérémy Bobbio <lunar@debian.org>] (patch 22) (Closes: #774518).
  * Bind miniserver sockets to our given IP address not INADDR_ANY (patch 24).
  * libupnp6-doc: add override of embedded-javascript-library for jquery.js, 
    see README.jquery in doxygen itself for why (lintian, Policy section 4.13).
  * Fix lintian binary-file-built-without-LFS-support for libixml: fix
    libixml Makefile.am, fseeko and #includes, and define AC_USE_LARGEFILE in
    configure.ac instead of the direct messing with 64bit #defines (patch 27).

 -- Nick Leverton <nick@leverton.org>  Sun, 17 Jan 2016 01:03:04 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#NOCHECK = --disable-tests
#endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-documentation --disable-samples --enable-debug --enable-ipv6 $(NOCHECK)

override_dh_auto_build:
	dh_auto_build
	doxygen Doxyfile 2>/dev/null

override_dh_auto_clean:
	$(RM) -r docs/doxygen
	dh_auto_clean
	find -name "Makefile.in" -print0 | xargs -0r $(RM)
	$(RM) aclocal.m4 configure autoconfig.h.in

override_dh_install:
	dh_install -plibupnp6-doc --sourcedir=. -X.md5
	dh_install --remaining-packages -X.la --list-missing

override_dh_strip:
	dh_strip --dbg-package=libupnp6-dbg

override_dh_compress:
	dh_compress -Xhtml -X.pdf

## libupnp 1.6.22

=== debian/changelog ===
libupnp (1:1.6.22-1) unstable; urgency=medium

  * New upstream release:
    + drop 01-debian-md5-licence.patch, solved similar upstream
    + drop 24-miniserver_IPV4_INADDR_ANY.patch, CVE-2016-6255.patch,
      CVE-2016-8863.patch and
      miniserver-fix-binding-to-ipv6-link-local-addresses.patch, all applied
      upstream.
  * Drop explicit -dbg package and rely on autogenerated -dbgsym instead.
  * Take maintainership. (Closes: #857211)
  * Various packaging cleanups

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 09 Aug 2017 09:31:36 +0200

libupnp (1:1.6.19+git20160116-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix out-of-bounds-access (CVE-2016-8863, Closes: #842093)
  * Fix usage on ipv6 enabled hosts (Closes: #813249) 

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 09 Dec 2016 10:40:28 +0100

libupnp (1:1.6.19+git20160116-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't allow unhandled POSTs to write to the filesystem by
    default (Closes: #831857) (CVE-2016-6255)
    Thanks to Matthew Garrett for the patch.

 -- James Cowgill <jcowgill@debian.org>  Wed, 19 Oct 2016 21:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: net
 Priority: optional
 Homepage: http://pupnp.sourceforge.net/
-Maintainer: Nick Leverton <nick@leverton.org>
+Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
 Standards-Version: 3.9.6
+Vcs-Browser: https://git.kleine-koenig.org/cgit/pupnp.git/
+Vcs-Git: git://git.kleine-koenig.org/pupnp.git -b debian/master
 
 Package: libupnp6
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libupnp0, libupnp2, libupnp3, libupnp4 (<< 1.8.0~svn20090313)
-Replaces: libupnp0, libupnp2, libupnp3
 Pre-Depends: ${misc:Pre-Depends}
 Description: Portable SDK for UPnP Devices, version 1.6 (shared libraries)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an
@@ -27,7 +27,6 @@
 Architecture: any
 Section: libdevel
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libupnp3-dev, libupnp4-dev
 Suggests: libupnp6-doc
 Description: Portable SDK for UPnP Devices, version 1.6 (development files)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an
@@ -54,31 +53,10 @@
  The libupnp-dev package is a metapackage which will depend on the
  current stable development package.
 
-Package: libupnp6-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libupnp3-dbg, libupnp4-dbg (<< 1.8.0~svn20090313)
-Replaces: libupnp3-dbg
-Description: debugging symbols for libupnp6
- The Portable SDK for UPnP Devices (libupnp) provides developers with an
- API and open source code for building control points, devices, and
- bridges that are compliant with Version 1.0 of the Universal Plug and
- Play Device Architecture Specification - see http://www.upnp.org/ for
- specifications.
- .
- This package contains the debugging symbols associated with libupnp6.
- They will automatically be used by gdb for debugging libupnp-related
- issues.
- .
- Most people will not need this package.
-
 Package: libupnp6-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Replaces: libupnp3-dev
 Description: Documentation for the Portable SDK for UPnP Devices, version 1.6
  The Portable SDK for UPnP Devices (libupnp) provides developers with an
  API and open source code for building control points, devices, and

## libupnp 1.6.24

=== debian/changelog ===
libupnp (1:1.6.24-4) unstable; urgency=medium

  * Fix patch 18-url-upnpstrings.patch to have working compat functions
    for the (upstream) fixed-length strings.
  * Add still more compat code to ease applications to compile against both
    libupnp 1.6 and 1.8.

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 22 Dec 2017 16:56:01 +0100

libupnp (1:1.6.24-3) unstable; urgency=medium

  * Specify details for "public domain" in debian/copyright to please lintian.
  * Switch to https URI for copyright-format
  * Update Standards-Version to 4.1.2 (no changes required).
  * Add Multi-Arch: headers and switch libupnp-dev to arch-any.  Thanks to
    Helmut Grohne who provided a slightly different patch. (Closes: #843216)
  * Add more and fix existing compat code.

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 19 Dec 2017 22:28:06 +0100

libupnp (1:1.6.24-2) unstable; urgency=high

  * Cherry pick "Fix segmentation fault in http_MakeMessage" from upstream.
    (Closes: #883118)
  * Ensure that the assert(0) in http_MakeMessage isn't hit if fmt contains
    'E'. Thanks to Tobi Frost for the patch.

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 10 Dec 2017 23:02:08 +0100

libupnp (1:1.6.24-1) unstable; urgency=medium

  * Fix Vcs URL to not use an insecure URI
  * Fix machine parsable copyright to use standard name for "public-domain"
  * New upstream release

 -- Uwe Kleine-König <ukleinek@debian.org>  Sat, 25 Nov 2017 22:13:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Vcs-Browser: https://git.kleine-koenig.org/cgit/pupnp.git/
-Vcs-Git: git://git.kleine-koenig.org/pupnp.git -b debian/master
+Vcs-Git: https://git.kleine-koenig.org/cgit/pupnp.git/ -b debian/master
 
 Package: libupnp6
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,6 +26,7 @@
 
 Package: libupnp6-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libupnp6-doc
@@ -40,7 +42,8 @@
  uPnP.
 
 Package: libupnp-dev
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libupnp6-dev (>= ${binary:Version}), ${misc:Depends}
 Description: Portable SDK for UPnP Devices (development files)
@@ -55,6 +58,7 @@
 
 Package: libupnp6-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Documentation for the Portable SDK for UPnP Devices, version 1.6
@@ -66,4 +70,3 @@
  .
  This package contains the HTML documentation for the libupnp6 library
  in /usr/share/doc/libupnp6-doc/
-

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,9 @@
 	find -name "Makefile.in" -print0 | xargs -0r $(RM)
 	$(RM) aclocal.m4 configure autoconfig.h.in
 
-override_dh_install:
-	dh_install -plibupnp6-doc --sourcedir=. -X.md5
-	dh_install --remaining-packages -X.la --list-missing
-
-override_dh_strip:
-	dh_strip --dbg-package=libupnp6-dbg
+override_dh_installdocs-indep:
+	dh_installdocs --indep
+	dh_doxygen --indep
 
 override_dh_compress:
 	dh_compress -Xhtml -X.pdf

=== debian/watch ===
version=3
http://sf.net/pupnp/libupnp-(1.6.\d*)\.(?:tar.bz2|tar.gz|tar|tgz)

## libupnp 1.6.24-4+8.0trisquel1

=== debian/changelog ===
libupnp (1:1.6.24-4+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Oct 2018 02:59:58 +0000

## libupnp 1.6.25

=== debian/changelog ===
libupnp (1:1.6.25-1) unstable; urgency=medium

  * New upstream release:
    + drop four patches that were applied upstream
    + refresh remaining patches where necessary
  * Drop Multi-Arch: same for libupnp6-dev.  upnpconfig.h differs between
    32-bit and 64-bit targets. (Closes: #898052)
  * Cherry-pick compat patch from upstream to allow complilation of
    gmrender-resurrect.
  * Move libupnp6 to oldlibs as it is intended to be removed in favour of
    libupnp10.
  * Add Rules-Requires-Root: no.
  * Standards-Version bumped to 4.2.1.
  * Add Build-Depends-Package field to symbol file.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 22 Oct 2018 16:32:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Vcs-Browser: https://git.kleine-koenig.org/cgit/pupnp.git/
 Vcs-Git: https://git.kleine-koenig.org/cgit/pupnp.git/ -b debian/master
+Rules-Requires-Root: no
 
 Package: libupnp6
 Architecture: any
 Multi-Arch: same
-Section: libs
+Section: oldlibs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Portable SDK for UPnP Devices, version 1.6 (shared libraries)
@@ -26,7 +27,6 @@
 
 Package: libupnp6-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libupnp6-doc
